commit:     f3a92632a712fbf023df787fdf31bb43926ac5bc
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 25 20:54:50 2018 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Fri Sep 28 13:49:01 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f3a92632

gnome-base/gnome-session: bump to 3.26.1; wayland default if USE enabled

Defaults to wayland session if built with USE=wayland, as the reverts have
been removed. We are targeting wayland default enabled in gnome profiles
for next stable (3.28 or 3.30).

Signed-off-by: Mart Raudsepp <leio <AT> gentoo.org>
Package-Manager: Portage-2.3.49, Repoman-2.3.11

 gnome-base/gnome-session/Manifest                  |   1 +
 .../gnome-session/gnome-session-3.26.1.ebuild      | 126 +++++++++++++++++++++
 2 files changed, 127 insertions(+)

diff --git a/gnome-base/gnome-session/Manifest 
b/gnome-base/gnome-session/Manifest
index 673d207a12a..d01e504c898 100644
--- a/gnome-base/gnome-session/Manifest
+++ b/gnome-base/gnome-session/Manifest
@@ -1,2 +1,3 @@
 DIST gnome-session-3.24.2-xorg-default-translations.patch.xz 3392 BLAKE2B 
afe0e04c6218377e91508fc67add8ec0894dc75d47c039c44a8c47635c0418986e0949f916d6269995c1c8853c3dfaab21a3db86c427d966029ed747d4106aa8
 SHA512 
0af7d4025647c6dd2c78243d91ec8a61fd171b78904ac28ce48c4f3f7cafb9fd28263410d31d08431e73417ff7910e9bdfc1ea4de0a3290cd5229a96bffc56dc
 DIST gnome-session-3.24.2.tar.xz 783288 BLAKE2B 
24b06404b9206a53f394db86a90f9c22c2774432bcb33f136eedd333e813139ded8b9445b4e597f3270ec0b2ef167ce3c2dca2c5b75d5fba977ebcfc4c1bb8ea
 SHA512 
52a609d60303e7d733567cc81698fe4a4042ac17d0260aadb334ab8ad2c355086f8f87c2bcac05f659c28f8f3290128f9ca8875806d199ee27ff84d972333e27
+DIST gnome-session-3.26.1.tar.xz 782676 BLAKE2B 
68ffae002910f827dca372402b8e014298b12fc892d6e6c477ff8ba0f793c98cd28f4a974c5665ac8bf7d61f485e4c662ba2f96cb3fd9bdec4a6218e86a797db
 SHA512 
a4c2e82306ae044c56b857c8f7347dc5d5235231e702d2ac38c8c433e21efc75ca3911ee029af01754685f64000a0e6f5d17408192208b19d7dc367079ee7b0a

diff --git a/gnome-base/gnome-session/gnome-session-3.26.1.ebuild 
b/gnome-base/gnome-session/gnome-session-3.26.1.ebuild
new file mode 100644
index 00000000000..b7c49fd1645
--- /dev/null
+++ b/gnome-base/gnome-session/gnome-session-3.26.1.ebuild
@@ -0,0 +1,126 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GNOME2_EAUTORECONF="yes"
+inherit gnome2
+
+DESCRIPTION="Gnome session manager"
+HOMEPAGE="https://git.gnome.org/browse/gnome-session";
+
+LICENSE="GPL-2 LGPL-2 FDL-1.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd 
~amd64-linux ~x86-linux ~x86-solaris"
+IUSE="doc elibc_FreeBSD ipv6 systemd"
+
+# x11-misc/xdg-user-dirs{,-gtk} are needed to create the various XDG_*_DIRs, 
and
+# create .config/user-dirs.dirs which is read by glib to get G_USER_DIRECTORY_*
+# xdg-user-dirs-update is run during login (see 10-user-dirs-update-gnome 
below).
+# gdk-pixbuf used in the inhibit dialog
+COMMON_DEPEND="
+       >=dev-libs/glib-2.46.0:2
+       x11-libs/gdk-pixbuf:2
+       >=x11-libs/gtk+-3.18.0:3
+       >=dev-libs/json-glib-0.10
+       >=gnome-base/gnome-desktop-3.18:3=
+       elibc_FreeBSD? ( || ( dev-libs/libexecinfo 
>=sys-freebsd/freebsd-lib-10.0 ) )
+
+       media-libs/mesa[egl,gles2]
+
+       media-libs/libepoxy
+       x11-libs/libSM
+       x11-libs/libICE
+       x11-libs/libXau
+       x11-libs/libX11
+       x11-libs/libXcomposite
+       x11-libs/libXext
+       x11-libs/libXrender
+       x11-libs/libXtst
+       x11-misc/xdg-user-dirs
+       x11-misc/xdg-user-dirs-gtk
+       x11-apps/xdpyinfo
+
+       systemd? ( >=sys-apps/systemd-183:0= )
+"
+# Pure-runtime deps from the session files should *NOT* be added here
+# Otherwise, things like gdm pull in gnome-shell
+# gnome-themes-standard is needed for the failwhale dialog themeing
+# sys-apps/dbus[X] is needed for session management.
+# gnome-settings-daemon is assumed to be >3.25.4, but this is about
+# removed components, so no need to strictly require it (older just
+# won't have those daemons loaded by gnome-session)
+RDEPEND="${COMMON_DEPEND}
+       >=gnome-base/gnome-settings-daemon-3.23.2
+       >=gnome-base/gsettings-desktop-schemas-0.1.7
+       x11-themes/adwaita-icon-theme
+       sys-apps/dbus[X]
+       !systemd? (
+               sys-auth/consolekit
+               >=dev-libs/dbus-glib-0.76
+       )
+"
+DEPEND="${COMMON_DEPEND}
+       dev-libs/libxslt
+       >=dev-util/intltool-0.40.6
+       >=sys-devel/gettext-0.10.40
+       virtual/pkgconfig
+       !<gnome-base/gdm-2.20.4
+       doc? (
+               app-text/xmlto
+               dev-libs/libxslt )
+       gnome-base/gnome-common
+"
+# gnome-common needed for eautoreconf
+# gnome-base/gdm does not provide gnome.desktop anymore
+
+src_configure() {
+       # 1. Avoid automagic on old upower releases
+       # 2. xsltproc is always checked due to man configure
+       #    switch, even if USE=-doc
+       # 3. Disable old gconf support as other distributions did long time
+       #    ago
+       gnome2_src_configure \
+               --disable-deprecation-flags \
+               --disable-gconf \
+               --enable-session-selector \
+               $(use_enable doc docbook-docs) \
+               $(use_enable ipv6) \
+               $(use_enable systemd) \
+               $(use_enable !systemd consolekit) \
+               UPOWER_CFLAGS="" \
+               UPOWER_LIBS=""
+               # gnome-session-selector pre-generated man page is missing
+               #$(usex !doc XSLTPROC=$(type -P true))
+}
+
+src_install() {
+       gnome2_src_install
+
+       dodir /etc/X11/Sessions
+       exeinto /etc/X11/Sessions
+       doexe "${FILESDIR}/Gnome"
+
+       insinto /usr/share/applications
+       newins "${FILESDIR}/defaults.list-r3" gnome-mimeapps.list
+
+       dodir /etc/X11/xinit/xinitrc.d/
+       exeinto /etc/X11/xinit/xinitrc.d/
+       newexe "${FILESDIR}/15-xdg-data-gnome-r1" 15-xdg-data-gnome
+
+       # This should be done here as discussed in bug #270852
+       newexe "${FILESDIR}/10-user-dirs-update-gnome-r1" 
10-user-dirs-update-gnome
+
+       # Set XCURSOR_THEME from current dconf setting instead of installing
+       # default cursor symlink globally and affecting other DEs (bug #543488)
+       # https://bugzilla.gnome.org/show_bug.cgi?id=711703
+       newexe "${FILESDIR}/90-xcursor-theme-gnome" 90-xcursor-theme-gnome
+}
+
+pkg_postinst() {
+       gnome2_pkg_postinst
+
+       if ! has_version gnome-base/gdm && ! has_version x11-misc/sddm; then
+               ewarn "If you use a custom .xinitrc for your X session,"
+               ewarn "make sure that the commands in the xinitrc.d scripts are 
run."
+       fi
+}

Reply via email to